# PetscFunctionBegin

First executable line of each PETSc function used for error handling.

### Synopsis

    void PetscFunctionBegin;

### Usage

         int something;

         PetscFunctionBegin;

### Notes

Not available in Fortran

### See Also

PetscFunctionReturn()

### Keywords

traceback, error handling

Level:developer
Location: src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex5.c.html
src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex22.c.html
src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html